Bug 739823 - 2.6.18-238.1.1.el5 or newer won't boot under Xen HVM due to linux-2.6-virt-nmi-don-t-print-nmi-stuck-messages-on-guests.patch [rhel-5.7.z]
Summary: 2.6.18-238.1.1.el5 or newer won't boot under Xen HVM due to linux-2.6-virt-nm...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen
Version: 5.5
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Phillip Lougher
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 707966
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-20 07:20 UTC by RHEL Product and Program Management
Modified: 2011-10-27 09:19 UTC (History)
18 users (show)

Fixed In Version: 2.6.18-274.6.1.el5
Doc Type: Bug Fix
Doc Text:
A previously applied patch to help clean-up a failed nmi_watchdog check by disabling various registers caused single-vcpu Xen HVM guests to become unresponsive during boot when the host CPU was an Intel Xeon Processor E5405 or an Intel Xeon Processor E5420, and the VM configuration did not have the apic = 1 parameter set. With this update, NMI_NONE is the default watchdog on AMD64 HVM guests, thus, fixing this issue.
Clone Of:
Environment:
Last Closed: 2011-10-20 17:31:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1386 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-10-20 17:28:15 UTC

Description RHEL Product and Program Management 2011-09-20 07:20:17 UTC
This bug has been copied from bug #707966 and has been proposed
to be backported to 5.7 z-stream (EUS).

Comment 5 Don Howard 2011-09-26 20:09:37 UTC
Patch(es) for this issue have been committed in kernel 2.6.18-274.6.1.el5.

Comment 7 Qin Guan 2011-09-29 09:17:45 UTC
Verify this problem with guest kernel 2.6.18-274.6.1.el5.

Host kernel: 2.6.18-274.el5xen
Host CPU model: Intel Xeon E5405

Steps:
1. Reproduce this problem with x86_64 guest:
 guest kernel: 2.6.18-274.5.1.el5
 guest conf: apic=0

2. Verify this problem with x86_64 guest:
 guest kernel: 2.6.18-274.6.1.el5
 guest conf: works both with apic=0 and apic=1

Repeat above steps after updating host kernel to 2.6.18-274.6.1.el5xen.

Also test 32b guest with normal and pae kernel, this problem does not exists(even with kernel 2.6.18-274.5.1.el5).

Comment 8 errata-xmlrpc 2011-10-20 17:31:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1386.html

Comment 9 Martin Prpič 2011-10-27 09:19:22 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A previously applied patch to help clean-up a failed nmi_watchdog check by disabling various registers caused single-vcpu Xen HVM guests to become unresponsive during boot when the host CPU was an Intel Xeon Processor E5405 or an Intel Xeon Processor E5420, and the VM configuration did not have the apic = 1 parameter set. With this update, NMI_NONE is the default watchdog on AMD64 HVM guests, thus, fixing this issue.


Note You need to log in before you can comment on or make changes to this bug.